package com.moyegame.mypassdemo;

import android.app.Application;
import android.util.Log;

import com.moyegame.pass.MYPass;
import com.moyegame.pass.account.MYAccountInfo;

public class MYPassApplication extends Application {

    @Override
    public void onCreate() {
        super.onCreate();
        /*****************************************************/
        // 初始化SDK
        MYPass.initPass(this, "46571891337916");
        // 设置注销回调
        MYPass.setLogoutCallback(new MYAccountInfo.MYLogoutCallback() {
            @Override
            public void onCallBack(MYAccountInfo.MYLogoutResultType result, String resultMsg) {
                Log.d("MYPass", "--------->>>>>>>> Logout ResultMsg:" + resultMsg);
                switch (result) {
                    case MY_LOGOUT_RESULT_SUCCESS:
                        break;
                    case MY_LOGOUT_RESULT_CANCEL:
                        break;
                    case MY_LOGOUT_RESULT_FAIL:
                        break;
                }
            }
        });
        /*****************************************************/
    }
}
